using DemoVideo.Nbanque;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DemoVideo.Ndal
{
    public interface ICompteDao
    {
        Compte GetCompte(string numero);
        (string , float) GetNumeroAndSolde(string numero);
        Tuple<string, float> GetNumeroAndSoldeTuple(string numero);
        string GetInformationCompte();
        bool AjouterCompte(Compte cpt);
        bool SupprimerCompte(String numero);
        void ModifierCompte(Compte cpt, float montant);

        Compte GetCompteDirectSql(string numero); 
      


    }
}
